package org.objectweb.jonas.jtests.beans.ejbql;

import java.util.Collection;

// Address EJB's local home interface
public interface AddressHomeLocal extends javax.ejb.EJBLocalHome {  

    public AddressLocal createAddress(String street, String city, String state,  String zip )
	throws javax.ejb.CreateException;

    public AddressLocal findByPrimaryKey(Integer primaryKey)
	throws javax.ejb.FinderException;

    public Collection findAllAddress()  
	throws javax.ejb.FinderException;
}
